@import url(https://fonts.googleapis.com/css?family=Lato:100,300,400|Playfair+Display:400,700,400italic|Libre+Baskerville:400,700,400italic|Muli:300,400|Open+Sans:400,300,700|Oswald:400,700|Raleway:400,100,300,700|Montserrat:400,700|Merriweather:400,300,300italic,400italic,700|Bree+Serif|Vollkorn:400italic,400,700|Abril+Fatface|Cardo:400,400italic);

html {
    -moz-font-feature-settings: "liga=1, dlig=1"; /* common and discretionary ligatures */
    -ms-font-feature-settings: "liga", "dlig";
    -webkit-font-feature-settings: "liga", "dlig";
    -o-font-feature-settings: "liga", "dlig";
    font-feature-settings: "liga", "dlig";
}

/* This only changes this particular animation duration */
.animate__animated.animate__fadeInDown {
    --animate-duration: 1.5s;
}

a{
    text-decoration: none;
    color:white;
}

.header{
    padding-left:5px;
}

.header span{
    color:white;
    font-family: 'Raleway', sans;
    font-size:1.3em;
    margin-top:50px;
}

.row{
    margin-right:0;
    margin-left:0;
}

#overlay-home{
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.3);
    z-index: 2;
}
#overlay-landing{
    position: fixed; /* Sit on top of the page content */
    width: 100%; /* Full width (cover the whole page) */
    height: 100%; /* Full height (cover the whole page) */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.5); /* Black background with opacity */
    z-index: 2; /* Specify a stack order in case you're using a different order for other elements */
}

.logo span{
    font-size: 3rem; /* 117 / 18 = 6.5 */
    font-family: 'Noto Sans', sans-serif;
    font-weight: normal;
    letter-spacing: 4px;
    border-bottom: 5px solid #FFFFFF;
}
.logo{
    margin-top:8px;
    padding:0;
}

.logo-img{
    height:100px;
    width:100px;
}

/*Underline effects nav bar*/
.hvr-underline-from-center {
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    position: relative;
    overflow: hidden;
    cursor:pointer;
}
.hvr-underline-from-center:before {
    content: "";
    position: absolute;
    z-index: -1;
    left: 51%;
    right: 51%;
    bottom: 0;
    background: white;
    height: 4px;
    -webkit-transition-property: left, right;
    transition-property: left, right;
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
}
.hvr-underline-from-center:hover:before, .hvr-underline-from-center:focus:before, .hvr-underline-from-center:active:before {
    left: 0;
    right: 0;
}

.hvr-underline-from-center-no-before::before{
    display:none;
}

/**************MOBILE*************/

/*Mobile Header*/
.burger-menu{
    color:white;
    margin-top:15px;
    display:none;
}

#burger-menu{
    display:none;
}

#burger-menu-nav{
    display:none;
    overflow:auto;
    padding-bottom:50px;
}

.header-mobile{
    margin-top:10px;
    display:none;
    font-family: 'Raleway', sans;
}

.header-mobile span{
    color:white;
    text-align:center;
}

.hot-links-mobile{
    padding-top:40px;
    text-align: center;
    font-size:1.4em;
    display:none;
}

#hotlink-showreel{
    margin-left:50px;
}

.logo-mobile{
    padding-left:0;
    display:none;
}

.logo-mobile span{
    cursor:pointer;
    color:white;
    font-family: 'Noto sans', sans-serif;
    font-weight: normal;
    font-size: 3rem; /* 117 / 18 = 6.5 */
    letter-spacing: 3px;
    border-bottom: 2px solid #FFFFFF;
}

.logo-img-mobile{
    height:100px;
    width:100px;
}

.logo-img-mobile:hover{
    cursor:pointer;
}

/*Mobile menu*/
.burger-menu-nav {
    opacity:0;
    top:0;
    right:0;
    bottom:0;
    left:0;
    z-index: 1;
    position:fixed;
    background-color: black; /* Black background with opacity */
    overflow: hidden;
    color:white;
    transition: 0.5s;
    letter-spacing:2px;
}
.burger-menu-nav a {
    padding: 30px 4px 4px 4px;
    font-size: 2em;
    color: white;
    display: block;
    transition: 0.3s;
    text-align:center;
    text-decoration: none;
}
/*each item is given an affect when hovered over*/
.burger-menu-nav a:hover {
    color: #818181;
}

.burger-menu-nav a i {
    padding-left:10px;
}

button:focus{
    outline:none;
}

.burger-menu-nav span{
    float:right;
    padding-top:5px;
    padding-right:10px;
}

.hamburger, #hamburgerContainer{
    z-index:100;
}

.hamburger{
    margin-top:25px !important;
    padding-left:0 !important;
    transform:translate(-5px,0px);
}

.hamburger-inner, .hamburger-inner::before, .hamburger-inner::after {
    background-color: white !important;
    width:30px !important;
}


@media (max-width: 767px) {
    .sidenav a {
        margin-left: 35%;
        margin-right:35%;
    }
    .header span{
        font-size:1em;
        margin-top:30px;
    }
    .logo span{
        font-size: 2rem; /* 117 / 18 = 6.5 */
        letter-spacing: 3px;
        border-bottom: 2px solid #FFFFFF;
    }
    .logo{
        margin-top:12px;
    }
    .logo-img{
        height:60px;
        width:60px;
    }
}
/*Mobile*/
@media only screen and (max-width: 610px) {
    .header {
        display:none;
    }
    .header-mobile{
        display:block;
    }
}

@media only screen and (max-width:475px){
    .hot-links-mobile{
        font-size:1em;
    }
    .hot-links-mobile{
        font-size:1.2em;
        padding-top:30px;
    }
    .burger-menu{
        margin-top:20px;
        padding-right:0;
    }
    .burger-menu-img{
        padding-top:5px;
    }
    .fa-5x {
        font-size:2em !important; /*size of this is 24.5 x 28*/
    }
    .logo-mobile{
        width:20%;
        padding-left:5px;
    }
    .logo-img-mobile{
        height:85px;
        width:85px;
    }
    .header-mobile{
        margin-top:5px;
    }
    #hotlink-contact {
        padding-top: 30px;
        text-align: left;
        padding-left: 25px;
    }
    #hotlink-showreel {
        padding-top:30px;
        padding-left:30px;
        margin-left:0;
    }
    .hamburger{
        margin-top:15px !important;
        transform:translate(-15px,0px);
    }
}

@media only screen and (max-width:375px){
    .hot-links-mobile{
        font-size:1.15em;
        padding-top:30px;
    }
    .burger-menu{
        margin-top:15px;
    }
    .burger-menu-img{
        padding-top:5px;
    }
    .fa-5x {
        font-size:2em !important; /*size of this is 24.5 x 28*/
    }
    .logo-img-mobile{
        height:80px;
        width:80px;
    }
    .logo-mobile{
        padding-left:5px;
        padding-right:0;
    }
    .header-mobile{
        margin-top:5px;
    }
    #hotlink-contact{
        padding-top:25px;
        padding-left:25px;
    }
    #hotlink-showreel {
        padding-top:25px;
        padding-left:25px;
        margin-left:0;
    }
    .hamburger{
        margin-top:7px !important;
        padding-left:0 !important;
        transform:translate(-5px,0px);
    }
    .hamburger-inner, .hamburger-inner::before, .hamburger-inner::after {
        width:25px !important;
    }
}

@media only screen and (min-width: 2500px) and (min-height:780px){
    .header span{
        font-size:3em;
        margin-top:100px;
    }
    .logo{
        margin-top:12px;
    }
    .logo-img{
        height:300px;
        width:300px;
    }
}

/* ----------- iPhone 5, 5S, 5C and 5SE ----------- */

/* Portrait */
@media only screen
and (min-device-width: 320px)
and (max-device-width: 568px)
and (-webkit-min-device-pixel-ratio: 2)
and (orientation: portrait) {
    .hamburger {
        transform: translate(-10px,0px);
    }
}
/* ----------- iPhone 6, 6S, 7 and 8 ----------- */

/* Portrait */
@media only screen
and (min-device-width: 375px)
and (max-device-width: 667px)
and (-webkit-min-device-pixel-ratio: 2)
and (orientation: portrait) {
    .hamburger {
        transform: translate(-5px,0px);
    }
    #hotlink-showreel{
        padding-left:30px;
    }
    #hotlink-contact{
        padding-left:30px;
    }
    .header-mobile{
        margin-top:10px;
    }
}

/* ----------- iPhone X ----------- */

/* Portrait */
@media only screen
and (min-device-width: 375px)
and (max-device-width: 812px)
and (-webkit-min-device-pixel-ratio: 3)
and (orientation: portrait) {
    #hotlink-showreel{
        padding-left:35px;
    }
}



/* Landscape Pixel 2 */
@media screen
and (min-width: 411px)
and (max-width: 763px)
and (orientation: portrait) {
    .hamburger {
        transform: translate(-10px,0px);
    }
    #hotlink-showreel{
        padding-left:35px;
    }
    #hotlink-contact{
        padding-left:25px;
    }
}


/*landscape 5/5SE*/
@media only screen
and (min-device-width: 320px)
and (max-device-width: 568px)
and (-webkit-min-device-pixel-ratio: 2)
and (orientation: landscape) {
    .socials {
        margin-bottom:10px;
    }
    #logo{
        padding-left:5px;
    }
    .hamburger {
        transform: translate(25px,0px);
    }
    #hotlink-showreel{
        padding-left:60px;
    }
    #hotlink-contact{
        padding-left:45px;
    }
}




/* landscape Galaxy Pixel 2 + 2XL */
@media screen
and (min-width: 411px)
and (max-width:823px)
and (orientation: landscape) {
    .logo{
        padding-left:5px;
    }
    .header .col-sm-2{
        padding-left:30px;
    }
    .logo{
        padding-left:5px!important;
    }
}

/* ----------- iPhone 6+, 7+ and 8+ ----------- */

/* Portrait */
@media only screen
and (min-device-width: 414px)
and (max-device-width: 736px)
and (-webkit-min-device-pixel-ratio: 3)
and (orientation: portrait) {
    .hamburger {
        transform: translate(-6px,0px);
    }
}


/* Landscape ipad*/
@media only screen
and (min-device-width: 768px)
and (max-device-width: 1024px)
and (orientation: landscape)
and (-webkit-min-device-pixel-ratio: 2) {

}

/* Portrait ipad */
@media only screen
and (min-device-width: 768px)
and (max-device-width: 1024px)
and (orientation: portrait)
and (-webkit-min-device-pixel-ratio: 2) {

}

/* ----------- iPad Pro 10.5" -----------

/* Portrait */
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen
and (min-device-width: 834px)
and (max-device-width: 834px)
and (orientation: portrait)
and (-webkit-min-device-pixel-ratio: 2) {

}

/* Ipad 10.5 Landscape */
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen
and (min-device-width: 1112px)
and (max-device-width: 1112px)
and (orientation: landscape)
and (-webkit-min-device-pixel-ratio: 2) {

}

/* Landscape ipad pro 12.9"*/
/* Declare the same value for min- and max-width to avoid colliding with desktops */
/* Source: https://medium.com/connect-the-dots/css-media-queries-for-ipad-pro-8cad10e17106*/
@media only screen
and (min-device-width: 1366px)
and (max-device-width: 1366px)
and (orientation: landscape)
and (-webkit-min-device-pixel-ratio: 2) {

}

